PAN Verification

Instantpay's PAN Verification API solution provides businesses with a robust solution for authenticating PAN details swiftly and accurately. Integrate this powerful solution into your systems to verify Permanent Account Numbers, ensuring meticulous compliance with regulatory standards.

Along with ascertaining PAN details, it also provides essential additional information such as the last modified date, name on the card, and Aadhaar's seeding status.

Stay ahead of the curve and prioritise precision in identity verification with Instantpay—your trusted partner in creating seamless experience for your business.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters

Following are the parameters to be sent in the request body:

ParametersTypeMandatory (M) , Optional (O)Description
panStringMPAN number of End User
latitudeStringMEnd customer Latitude.
longitudeStringMEnd Customer Longitude.
externalRefStringMYour Unique Transaction id
nameOnCardStringMFull name as in PAN
dateOfBirthStringMDate of Birth in YYYY-MM-DD format

Sample Request

curl --location --request POST 'https://api.instantpay.in/identity/verifyPan' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "pan": "AAOCS6028B",
    "nameOnCard": "Sample Name",
    "dateOfBirth": "1998-09-08",
    "externalRef": "12345",
    "latitude": "23.0000",
    "longitude": "45.0000"   
}
POST /identity/verifyPan HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "pan": "AAOCS6028B",
    "nameOnCard": "TEST",
    "dateOfBirth": "1998-09-08",
    "externalRef": "12345",
    "latitude": "23.0000",
    "longitude": "45.0000"
}

Response Parameters

NameTypeDescription
statuscodestringInstantPay Status Code
actcodestringAction Code
statusstringStatus message
dataarrayResponse Data (If Present)
timestampstringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidstringRequest reference number
orderidstringTransaction Id ( If transaction otherwise it is null )
environmentstringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "poolReferenceId": "1241113141523HLHCS",
        "pool": {
            "openingBal": "13.17",
            "mode": "DR",
            "amount": "0.00",
            "closingBal": "13.17"
        },
        "panDetails": {
            "name": {
                "first": "",
                "middle": "",
                "last": "",
                "full": ""
            },
            "nameOnCard": "Mohammad Shahbaz Ali",
            "status": "VALID",
            "panNumber": "XXXXXXX79B",
            "gender": null,
            "aadhaarSeeding": 1,
            "lastModified": "",
            "dob": null,
            "constitution": "Individual",
            "nameVerified": true,
            "dateOfBirthVerified": false
        }
    },
    "timestamp": "2024-11-13 14:15:23",
    "ipay_uuid": "h0009d7a55e0-a43f-4d84-8642-c16153a30096-mN5wEnWhhtMQ",
    "orderid": "1241113141523HLHCS",
    "environment": "LIVE",
    "internalCode": null
}
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain